using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ch8_3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void cPLusPlusToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form objForm = new Form2();
            objForm.MdiParent = this;
            objForm.Show();
        }

        private void cSharpToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form objForm = new Form3();
            objForm.MdiParent = this;
            objForm.Show();
        }

        private void languageToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form objForm = new Form4();
            objForm.MdiParent = this;
            objForm.Show();
        }

        private void cascadeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.LayoutMdi(MdiLayout.Cascade);
        }

        private void horizontalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.LayoutMdi(MdiLayout.TileHorizontal);
        }

        private void verticalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.LayoutMdi(MdiLayout.TileVertical);
        }

        private void iconsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.LayoutMdi(MdiLayout.ArrangeIcons);
        }
    }
}
